# Calendar API . calendars

## Instance Methods

Clears a primary calendar. This operation deletes all data associated with the primary calendar of an account and cannot be undone.

Deletes a secondary calendar.

Returns metadata for a calendar.

Creates a secondary calendar.

Updates metadata for a calendar. This method supports patch semantics.

Updates metadata for a calendar.

### Method Details

`clear(calendarId)`

    Clears a primary calendar. This operation deletes all data associated with the primary calendar of an account and cannot be undone.

    Args:
      calendarId: string, Calendar identifier. (required)

`delete(calendarId)`

    Deletes a secondary calendar.

    Args:
      calendarId: string, Calendar identifier. (required)

`get(calendarId)`

    Returns metadata for a calendar.

    Args:
      calendarId: string, Calendar identifier. (required)

    Returns:
      An object of the form:

        {
          "kind": "calendar#calendar", # Type of the resource ("calendar#calendar").
          "description": "A String", # Description of the calendar. Optional.
          "summary": "A String", # Title of the calendar.
          "etag": "A String", # ETag of the resource.
          "location": "A String", # Geographic location of the calendar as free-form text. Optional.
          "timeZone": "A String", # The time zone of the calendar. Optional.
          "id": "A String", # Identifier of the calendar.
        }

`insert(body)`

    Creates a secondary calendar.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "calendar#calendar", # Type of the resource ("calendar#calendar").
        "description": "A String", # Description of the calendar. Optional.
        "summary": "A String", # Title of the calendar.
        "etag": "A String", # ETag of the resource.
        "location": "A String", # Geographic location of the calendar as free-form text. Optional.
        "timeZone": "A String", # The time zone of the calendar. Optional.
        "id": "A String", # Identifier of the calendar.
      }

    Returns:
      An object of the form:

        {
          "kind": "calendar#calendar", # Type of the resource ("calendar#calendar").
          "description": "A String", # Description of the calendar. Optional.
          "summary": "A String", # Title of the calendar.
          "etag": "A String", # ETag of the resource.
          "location": "A String", # Geographic location of the calendar as free-form text. Optional.
          "timeZone": "A String", # The time zone of the calendar. Optional.
          "id": "A String", # Identifier of the calendar.
        }

`patch(calendarId, body)`

    Updates metadata for a calendar. This method supports patch semantics.

    Args:
      calendarId: string, Calendar identifier. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "calendar#calendar", # Type of the resource ("calendar#calendar").
        "description": "A String", # Description of the calendar. Optional.
        "summary": "A String", # Title of the calendar.
        "etag": "A String", # ETag of the resource.
        "location": "A String", # Geographic location of the calendar as free-form text. Optional.
        "timeZone": "A String", # The time zone of the calendar. Optional.
        "id": "A String", # Identifier of the calendar.
      }

    Returns:
      An object of the form:

        {
          "kind": "calendar#calendar", # Type of the resource ("calendar#calendar").
          "description": "A String", # Description of the calendar. Optional.
          "summary": "A String", # Title of the calendar.
          "etag": "A String", # ETag of the resource.
          "location": "A String", # Geographic location of the calendar as free-form text. Optional.
          "timeZone": "A String", # The time zone of the calendar. Optional.
          "id": "A String", # Identifier of the calendar.
        }

`update(calendarId, body)`

    Updates metadata for a calendar.

    Args:
      calendarId: string, Calendar identifier. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "calendar#calendar", # Type of the resource ("calendar#calendar").
        "description": "A String", # Description of the calendar. Optional.
        "summary": "A String", # Title of the calendar.
        "etag": "A String", # ETag of the resource.
        "location": "A String", # Geographic location of the calendar as free-form text. Optional.
        "timeZone": "A String", # The time zone of the calendar. Optional.
        "id": "A String", # Identifier of the calendar.
      }

    Returns:
      An object of the form:

        {
          "kind": "calendar#calendar", # Type of the resource ("calendar#calendar").
          "description": "A String", # Description of the calendar. Optional.
          "summary": "A String", # Title of the calendar.
          "etag": "A String", # ETag of the resource.
          "location": "A String", # Geographic location of the calendar as free-form text. Optional.
          "timeZone": "A String", # The time zone of the calendar. Optional.
          "id": "A String", # Identifier of the calendar.
        }